///////////////////////////////////////////////////////////////////////////////
//	FILENAME:	eTLiteralUI.m
//	SUMMARY:	Header for a user interface for eTLiterals
//	SUPERCLASS:	eTLiteralUI:eTImageUI:Object
//	INTERFACE:	eTLiteralUI.nib
//	PROTOCOLS:	<Inspectable>
//	AUTHOR:		Rohit Khare and Tom Zavisca
//	COPYRIGHT:	(c) 1994 California Institure of Technology, eText Project
///////////////////////////////////////////////////////////////////////////////
//  DESCRIPTION
//		We leverage the <Inspectable> API to do some fancy footwork by
//	publishing multiple types for a single inspector, corresponding to the
//	different formats an eTLiteral is capable of representing.
///////////////////////////////////////////////////////////////////////////////
//	HISTORY
//	07/24/94:	Created. RK and TRZ
///////////////////////////////////////////////////////////////////////////////

#import "eTLiteral.h"

@interface eTLiteralUI:eTImageUI <Inspectable>
{
	id 		literalPanel;
	id		literalView;
	id		etLiteral;
	id		repText;
	int		currentFmt;
	BOOL	textDirty;
}
+ new;
- init;
- setAnnotation: newLiteral;
- resetRep: sender;
- changeFormatTo:(int) newFormat;
@end
